NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::GeometricUtilities::ConicCrossSection Class Reference

Represents a conic section data for face blend. More...

Inheritance diagram for NXOpen::GeometricUtilities::ConicCrossSection:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  DefineMethod { DefineMethodBoundaryPlusCenter, DefineMethodBoundaryPlusRho, DefineMethodCenterPlusRho }
 This enum represents the conic method for advanced symmetric conic. More...
 
enum  DepthMethod { DepthMethodConstant, DepthMethodLaw }
 This enum represents the depth option. More...
 
enum  OffsetMethod { OffsetMethodConstant, OffsetMethodLaw }
 This enum represents the offset options. More...
 
enum  RhoMethod { RhoMethodConstant, RhoMethodLaw, RhoMethodAutoEllipse }
 This enum represents the rho options. More...
 
enum  ShapeSkewMethod { ShapeSkewMethodConstant, ShapeSkewMethodLaw }
 This enum represents the shape skew option. More...
 

Public Member Functions

NXOpen::GeometricUtilities::ConicCrossSection::DefineMethod ConicMethod ()
 Returns the conic method for the advanced symmetric conic section with face blend. More...
 
NXOpen::ExpressionDepth ()
 Returns the depth expression for the conic section with face blend. More...
 
NXOpen::GeometricUtilities::LawBuilderDepthLawControl ()
 Returns the Depth Law builder
Created in NX10.0.0. More...
 
NXOpen::GeometricUtilities::ConicCrossSection::DepthMethod DepthOption ()
 Returns the depth option for the conic section with face blend. More...
 
NXOpen::ScCollectorFirstConstraintCurveCollector ()
 Returns the first constraint curve collector. More...
 
NXOpen::GeometricUtilities::LawBuilderFirstLawControl ()
 Returns the First Offset Law builder
Created in NX5.0.0. More...
 
NXOpen::ExpressionFirstOffset ()
 Returns the first offset for the conic section with face blend. More...
 
NXOpen::GeometricUtilities::ConicCrossSection::OffsetMethod FirstOffsetOption ()
 Returns the first offset option for the conic section with face blend. More...
 
NXOpen::ExpressionOffsetSkewRatio ()
 Returns the offset skew ratio expression for the conic section with face blend. More...
 
NXOpen::ExpressionRho ()
 Returns the rho expression for the conic section with face blend. More...
 
NXOpen::GeometricUtilities::LawBuilderRhoLawControl ()
 Returns the Rho Law builder
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::ConicCrossSection::RhoMethod RhoOption ()
 Returns the rho option for the conic section with face blend. More...
 
NXOpen::ScCollectorSecondConstraintCurveCollector ()
 Returns the second constraint curve collector. More...
 
NXOpen::GeometricUtilities::LawBuilderSecondLawControl ()
 Returns the Second Offset Law builder
Created in NX5.0.0. More...
 
NXOpen::ExpressionSecondOffset ()
 Returns the second offset for the conic section with face blend. More...
 
NXOpen::GeometricUtilities::ConicCrossSection::OffsetMethod SecondOffsetOption ()
 Returns the second offset option for the conic section with face blend. More...
 
void SetConicMethod (NXOpen::GeometricUtilities::ConicCrossSection::DefineMethod method)
 Sets the conic method for the advanced symmetric conic section with face blend. More...
 
void SetDepthOption (NXOpen::GeometricUtilities::ConicCrossSection::DepthMethod method)
 Sets the depth option for the conic section with face blend. More...
 
void SetFirstConstraintCurveCollector (NXOpen::ScCollector *collector)
 Sets the first constraint curve collector. More...
 
void SetFirstOffset (const NXString &offset)
 Sets the first offset for the conic section with face blend. More...
 
void SetFirstOffset (const char *offset)
 Sets the first offset for the conic section with face blend. More...
 
void SetFirstOffsetOption (NXOpen::GeometricUtilities::ConicCrossSection::OffsetMethod method)
 Sets the first offset option for the conic section with face blend. More...
 
void SetLawControlConstantDepth (const NXString &radius)
 Sets a constant radius for the depth law control of the conic section with face blend. More...
 
void SetLawControlConstantDepth (const char *radius)
 Sets a constant radius for the depth law control of the conic section with face blend. More...
 
void SetLawControlConstantFirstOffset (const NXString &radius)
 Sets a constant radius for the first law control of the conic section with face blend. More...
 
void SetLawControlConstantFirstOffset (const char *radius)
 Sets a constant radius for the first law control of the conic section with face blend. More...
 
void SetLawControlConstantRho (const NXString &radius)
 Sets a constant radius for the rho law control of the conic section with face blend. More...
 
void SetLawControlConstantRho (const char *radius)
 Sets a constant radius for the rho law control of the conic section with face blend. More...
 
void SetLawControlConstantSecondOffset (const NXString &radius)
 Sets a constant radius for the second law control of the conic section with face blend. More...
 
void SetLawControlConstantSecondOffset (const char *radius)
 Sets a constant radius for the second law control of the conic section with face blend. More...
 
void SetLawControlConstantShapeSkew (const NXString &radius)
 Sets a constant radius for the shape skew law control of the conic section with face blend. More...
 
void SetLawControlConstantShapeSkew (const char *radius)
 Sets a constant radius for the shape skew law control of the conic section with face blend. More...
 
void SetLawControlDepthEndRadius (const NXString &radius)
 Sets a end radius for the depth law control of the conic section with face blend. More...
 
void SetLawControlDepthEndRadius (const char *radius)
 Sets a end radius for the depth law control of the conic section with face blend. More...
 
void SetLawControlDepthStartRadius (const NXString &radius)
 Sets a start radius for the depth law control of the conic section with face blend. More...
 
void SetLawControlDepthStartRadius (const char *radius)
 Sets a start radius for the depth law control of the conic section with face blend. More...
 
void SetLawControlFirstOffsetEndRadius (const NXString &radius)
 Sets a end radius for the first law control of the conic section with face blend. More...
 
void SetLawControlFirstOffsetEndRadius (const char *radius)
 Sets a end radius for the first law control of the conic section with face blend. More...
 
void SetLawControlFirstOffsetStartRadius (const NXString &radius)
 Sets a start radius for the first law control of the conic section with face blend. More...
 
void SetLawControlFirstOffsetStartRadius (const char *radius)
 Sets a start radius for the first law control of the conic section with face blend. More...
 
void SetLawControlRhoEndRadius (const NXString &radius)
 Sets a end radius for the rho law control of the conic section with face blend. More...
 
void SetLawControlRhoEndRadius (const char *radius)
 Sets a end radius for the rho law control of the conic section with face blend. More...
 
void SetLawControlRhoStartRadius (const NXString &radius)
 Sets a start radius for the rho law control of the conic section with face blend. More...
 
void SetLawControlRhoStartRadius (const char *radius)
 Sets a start radius for the rho law control of the conic section with face blend. More...
 
void SetLawControlSecondOffsetEndRadius (const NXString &radius)
 Sets a end radius for the second law control of the conic section with face blend. More...
 
void SetLawControlSecondOffsetEndRadius (const char *radius)
 Sets a end radius for the second law control of the conic section with face blend. More...
 
void SetLawControlSecondOffsetStartRadius (const NXString &radius)
 Sets a start radius for the second law control of the conic section with face blend. More...
 
void SetLawControlSecondOffsetStartRadius (const char *radius)
 Sets a start radius for the second law control of the conic section with face blend. More...
 
void SetLawControlShapeSkewEndRadius (const NXString &radius)
 Sets a end radius for the shape skew law control of the conic section with face blend. More...
 
void SetLawControlShapeSkewEndRadius (const char *radius)
 Sets a end radius for the shape skew law control of the conic section with face blend. More...
 
void SetLawControlShapeSkewStartRadius (const NXString &radius)
 Sets a start radius for the shape skew law control of the conic section with face blend. More...
 
void SetLawControlShapeSkewStartRadius (const char *radius)
 Sets a start radius for the shape skew law control of the conic section with face blend. More...
 
void SetRho (const NXString &rho)
 Sets a rho expression for the conic section with face blend. More...
 
void SetRho (const char *rho)
 Sets a rho expression for the conic section with face blend. More...
 
void SetRhoOption (NXOpen::GeometricUtilities::ConicCrossSection::RhoMethod method)
 Sets the rho option for the conic section with face blend. More...
 
void SetSecondConstraintCurveCollector (NXOpen::ScCollector *collector)
 Sets the second constraint curve collector. More...
 
void SetSecondOffset (const NXString &offset)
 Sets the second offset for the conic section with face blend. More...
 
void SetSecondOffset (const char *offset)
 Sets the second offset for the conic section with face blend. More...
 
void SetSecondOffsetOption (NXOpen::GeometricUtilities::ConicCrossSection::OffsetMethod method)
 Sets the second offset option for the conic section with face blend. More...
 
void SetShapeSkewOption (NXOpen::GeometricUtilities::ConicCrossSection::ShapeSkewMethod method)
 Sets the shape skew option for the conic section with face blend. More...
 
void SetTransitionLinkFlag (bool transitionLinkFlag)
 Sets the flag to link multi-transition law types. More...
 
NXOpen::ExpressionShapeSkew ()
 Returns the shape skew expression for the conic section with face blend. More...
 
NXOpen::GeometricUtilities::LawBuilderShapeSkewLawControl ()
 Returns the Shape Skew Law builder
Created in NX10.0.0. More...
 
NXOpen::GeometricUtilities::ConicCrossSection::ShapeSkewMethod ShapeSkewOption ()
 Returns the shape skew option for the conic section with face blend. More...
 
bool TransitionLinkFlag ()
 Returns the flag to link multi-transition law types. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a conic section data for face blend.


Created in NX4.0.0.

Member Enumeration Documentation

This enum represents the conic method for advanced symmetric conic.

Enumerator
DefineMethodBoundaryPlusCenter 

conic shape controlled by boundary and center values

DefineMethodBoundaryPlusRho 

conic shape controlled by boundary and rho values

DefineMethodCenterPlusRho 

conic shape controlled by center and rho values

This enum represents the depth option.

Enumerator
DepthMethodConstant 

Constant.

DepthMethodLaw 

Control by law.

This enum represents the offset options.

Enumerator
OffsetMethodConstant 

Constant.

OffsetMethodLaw 

Control by law.

This enum represents the rho options.

Enumerator
RhoMethodConstant 

Constant.

RhoMethodLaw 

Control by law.

RhoMethodAutoEllipse 

Automatic Ellipse.

This enum represents the shape skew option.

Enumerator
ShapeSkewMethodConstant 

Constant.

ShapeSkewMethodLaw 

Control by law.

Member Function Documentation

NXOpen::GeometricUtilities::ConicCrossSection::DefineMethod NXOpen::GeometricUtilities::ConicCrossSection::ConicMethod ( )

Returns the conic method for the advanced symmetric conic section with face blend.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::GeometricUtilities::ConicCrossSection::Depth ( )

Returns the depth expression for the conic section with face blend.


Created in NX10.0.0.

License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::GeometricUtilities::ConicCrossSection::DepthLawControl ( )

Returns the Depth Law builder
Created in NX10.0.0.



License requirements : None

NXOpen::GeometricUtilities::ConicCrossSection::DepthMethod NXOpen::GeometricUtilities::ConicCrossSection::DepthOption ( )

Returns the depth option for the conic section with face blend.


Created in NX10.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::GeometricUtilities::ConicCrossSection::FirstConstraintCurveCollector ( )

Returns the first constraint curve collector.


Created in NX10.0.0.

License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::GeometricUtilities::ConicCrossSection::FirstLawControl ( )

Returns the First Offset Law builder
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::GeometricUtilities::ConicCrossSection::FirstOffset ( )

Returns the first offset for the conic section with face blend.


Created in NX4.0.0.

License requirements : None

NXOpen::GeometricUtilities::ConicCrossSection::OffsetMethod NXOpen::GeometricUtilities::ConicCrossSection::FirstOffsetOption ( )

Returns the first offset option for the conic section with face blend.


Created in NX4.0.0.

License requirements : None

NXOpen::Expression* NXOpen::GeometricUtilities::ConicCrossSection::OffsetSkewRatio ( )

Returns the offset skew ratio expression for the conic section with face blend.


Created in NX10.0.0.

License requirements : None

NXOpen::Expression* NXOpen::GeometricUtilities::ConicCrossSection::Rho ( )

Returns the rho expression for the conic section with face blend.


Created in NX4.0.0.

License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::GeometricUtilities::ConicCrossSection::RhoLawControl ( )

Returns the Rho Law builder
Created in NX5.0.0.



License requirements : None

NXOpen::GeometricUtilities::ConicCrossSection::RhoMethod NXOpen::GeometricUtilities::ConicCrossSection::RhoOption ( )

Returns the rho option for the conic section with face blend.


Created in NX4.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::GeometricUtilities::ConicCrossSection::SecondConstraintCurveCollector ( )

Returns the second constraint curve collector.


Created in NX10.0.0.

License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::GeometricUtilities::ConicCrossSection::SecondLawControl ( )

Returns the Second Offset Law builder
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::GeometricUtilities::ConicCrossSection::SecondOffset ( )

Returns the second offset for the conic section with face blend.


Created in NX4.0.0.

License requirements : None

NXOpen::GeometricUtilities::ConicCrossSection::OffsetMethod NXOpen::GeometricUtilities::ConicCrossSection::SecondOffsetOption ( )

Returns the second offset option for the conic section with face blend.


Created in NX4.0.0.

License requirements : None

void NXOpen::GeometricUtilities::ConicCrossSection::SetConicMethod ( NXOpen::GeometricUtilities::ConicCrossSection::DefineMethod  method)

Sets the conic method for the advanced symmetric conic section with face blend.


Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
methodmethod
void NXOpen::GeometricUtilities::ConicCrossSection::SetDepthOption ( NXOpen::GeometricUtilities::ConicCrossSection::DepthMethod  method)

Sets the depth option for the conic section with face blend.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
methodmethod
void NXOpen::GeometricUtilities::ConicCrossSection::SetFirstConstraintCurveCollector ( NXOpen::ScCollector collector)

Sets the first constraint curve collector.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
collectorcollector
void NXOpen::GeometricUtilities::ConicCrossSection::SetFirstOffset ( const NXString offset)

Sets the first offset for the conic section with face blend.


Deprecated:
Deprecated in NX9.0.0. To set the value of the expression modify the expression directly using NXOpen::GeometricUtilities::ConicCrossSection::FirstOffset and NXOpen::Expression::SetRightHandSide .


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
offsetoffset
void NXOpen::GeometricUtilities::ConicCrossSection::SetFirstOffset ( const char *  offset)

Sets the first offset for the conic section with face blend.


Deprecated:
Deprecated in NX9.0.0. To set the value of the expression modify the expression directly using NXOpen::GeometricUtilities::ConicCrossSection::FirstOffset and NXOpen::Expression::SetRightHandSide .


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
offsetoffset
void NXOpen::GeometricUtilities::ConicCrossSection::SetFirstOffsetOption ( NXOpen::GeometricUtilities::ConicCrossSection::OffsetMethod  method)

Sets the first offset option for the conic section with face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
methodmethod
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlConstantDepth ( const NXString radius)

Sets a constant radius for the depth law control of the conic section with face blend.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlConstantDepth ( const char *  radius)

Sets a constant radius for the depth law control of the conic section with face blend.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlConstantFirstOffset ( const NXString radius)

Sets a constant radius for the first law control of the conic section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlConstantFirstOffset ( const char *  radius)

Sets a constant radius for the first law control of the conic section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlConstantRho ( const NXString radius)

Sets a constant radius for the rho law control of the conic section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlConstantRho ( const char *  radius)

Sets a constant radius for the rho law control of the conic section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlConstantSecondOffset ( const NXString radius)

Sets a constant radius for the second law control of the conic section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlConstantSecondOffset ( const char *  radius)

Sets a constant radius for the second law control of the conic section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlConstantShapeSkew ( const NXString radius)

Sets a constant radius for the shape skew law control of the conic section with face blend.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlConstantShapeSkew ( const char *  radius)

Sets a constant radius for the shape skew law control of the conic section with face blend.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlDepthEndRadius ( const NXString radius)

Sets a end radius for the depth law control of the conic section with face blend.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlDepthEndRadius ( const char *  radius)

Sets a end radius for the depth law control of the conic section with face blend.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlDepthStartRadius ( const NXString radius)

Sets a start radius for the depth law control of the conic section with face blend.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlDepthStartRadius ( const char *  radius)

Sets a start radius for the depth law control of the conic section with face blend.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlFirstOffsetEndRadius ( const NXString radius)

Sets a end radius for the first law control of the conic section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlFirstOffsetEndRadius ( const char *  radius)

Sets a end radius for the first law control of the conic section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlFirstOffsetStartRadius ( const NXString radius)

Sets a start radius for the first law control of the conic section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlFirstOffsetStartRadius ( const char *  radius)

Sets a start radius for the first law control of the conic section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlRhoEndRadius ( const NXString radius)

Sets a end radius for the rho law control of the conic section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlRhoEndRadius ( const char *  radius)

Sets a end radius for the rho law control of the conic section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlRhoStartRadius ( const NXString radius)

Sets a start radius for the rho law control of the conic section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlRhoStartRadius ( const char *  radius)

Sets a start radius for the rho law control of the conic section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlSecondOffsetEndRadius ( const NXString radius)

Sets a end radius for the second law control of the conic section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlSecondOffsetEndRadius ( const char *  radius)

Sets a end radius for the second law control of the conic section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlSecondOffsetStartRadius ( const NXString radius)

Sets a start radius for the second law control of the conic section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlSecondOffsetStartRadius ( const char *  radius)

Sets a start radius for the second law control of the conic section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlShapeSkewEndRadius ( const NXString radius)

Sets a end radius for the shape skew law control of the conic section with face blend.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlShapeSkewEndRadius ( const char *  radius)

Sets a end radius for the shape skew law control of the conic section with face blend.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlShapeSkewStartRadius ( const NXString radius)

Sets a start radius for the shape skew law control of the conic section with face blend.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetLawControlShapeSkewStartRadius ( const char *  radius)

Sets a start radius for the shape skew law control of the conic section with face blend.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::ConicCrossSection::SetRho ( const NXString rho)

Sets a rho expression for the conic section with face blend.


Deprecated:
Deprecated in NX9.0.0. To set the value of the expression modify the expression directly using NXOpen::GeometricUtilities::ConicCrossSection::Rho and NXOpen::Expression::SetRightHandSide .


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
rhorho
void NXOpen::GeometricUtilities::ConicCrossSection::SetRho ( const char *  rho)

Sets a rho expression for the conic section with face blend.


Deprecated:
Deprecated in NX9.0.0. To set the value of the expression modify the expression directly using NXOpen::GeometricUtilities::ConicCrossSection::Rho and NXOpen::Expression::SetRightHandSide .


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
rhorho
void NXOpen::GeometricUtilities::ConicCrossSection::SetRhoOption ( NXOpen::GeometricUtilities::ConicCrossSection::RhoMethod  method)

Sets the rho option for the conic section with face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
methodmethod
void NXOpen::GeometricUtilities::ConicCrossSection::SetSecondConstraintCurveCollector ( NXOpen::ScCollector collector)

Sets the second constraint curve collector.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
collectorcollector
void NXOpen::GeometricUtilities::ConicCrossSection::SetSecondOffset ( const NXString offset)

Sets the second offset for the conic section with face blend.


Deprecated:
Deprecated in NX9.0.0. To set the value of the expression modify the expression directly using NXOpen::GeometricUtilities::ConicCrossSection::SecondOffset and NXOpen::Expression::SetRightHandSide .


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
offsetoffset
void NXOpen::GeometricUtilities::ConicCrossSection::SetSecondOffset ( const char *  offset)

Sets the second offset for the conic section with face blend.


Deprecated:
Deprecated in NX9.0.0. To set the value of the expression modify the expression directly using NXOpen::GeometricUtilities::ConicCrossSection::SecondOffset and NXOpen::Expression::SetRightHandSide .


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
offsetoffset
void NXOpen::GeometricUtilities::ConicCrossSection::SetSecondOffsetOption ( NXOpen::GeometricUtilities::ConicCrossSection::OffsetMethod  method)

Sets the second offset option for the conic section with face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
methodmethod
void NXOpen::GeometricUtilities::ConicCrossSection::SetShapeSkewOption ( NXOpen::GeometricUtilities::ConicCrossSection::ShapeSkewMethod  method)

Sets the shape skew option for the conic section with face blend.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
methodmethod
void NXOpen::GeometricUtilities::ConicCrossSection::SetTransitionLinkFlag ( bool  transitionLinkFlag)

Sets the flag to link multi-transition law types.


Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
transitionLinkFlagtransition link flag
NXOpen::Expression* NXOpen::GeometricUtilities::ConicCrossSection::ShapeSkew ( )

Returns the shape skew expression for the conic section with face blend.


Created in NX10.0.0.

License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::GeometricUtilities::ConicCrossSection::ShapeSkewLawControl ( )

Returns the Shape Skew Law builder
Created in NX10.0.0.



License requirements : None

NXOpen::GeometricUtilities::ConicCrossSection::ShapeSkewMethod NXOpen::GeometricUtilities::ConicCrossSection::ShapeSkewOption ( )

Returns the shape skew option for the conic section with face blend.


Created in NX10.0.0.

License requirements : None

bool NXOpen::GeometricUtilities::ConicCrossSection::TransitionLinkFlag ( )

Returns the flag to link multi-transition law types.


Created in NX8.0.0.

License requirements : None

virtual bool NXOpen::GeometricUtilities::ConicCrossSection::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.